сборка xfce 4.10

Автор provakator, 01 ноября 2012, 08:50:04

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

provakator

привет всем. помогите мне кто может мне в моем деле.
сейчас стоит xfce 4.8 из репозитория дебиана (тестовой версии, как и вся система), я хочу снести xfce полностью подчистую с его модулями и дополнениями и хвостами, и установить его 4.10 версию из исходников. из оф сайта xfce.org скачал пакет xfce-4.10.tar.bz2. в нем как я понял находится самый необходимый набор исходников программ. помогите произвести удаление старой версии и установку новой наиболее безопасно и безполезно.
мы среди вас. но я не с ними не с другими
  •  

kobzar

apt-get purge xfce4*
apt-get autoremove
apt-get autoclean

tar -zxvf xfce....tar.gz
cd xfce.....
less REAMDE
Ты дорого мой друг, заплатишь за ошибку,..
Когда оскал мой милый, ты приймешь за улыбку.
  •  

xbsd

Цитата: provakator от 01 ноября 2012, 08:50:04помогите произвести удаление старой версии и установку новой наиболее безопасно и безполезно.
интересно, автор задумывался над вопросом, как он будет управлять установленной из исходников версией хфсе или создаст новую тему на форуме "помогите удалить хфсе"... ?

Цитата: kobzar от 01 ноября 2012, 10:45:15tar -zxvf xfce....tar.gz
cd xfce.....
less REAMDE
kobzar, и часто вы такое практикуете?
  •  

Malaheenee

provakator, а ветку experimental подключить не судьба? Там 4.10 давно есть.
Все мы где-то, когда-то и в чем-то были новичками.
  •  

kobzar

Цитата: xbsd от 01 ноября 2012, 13:56:11
Цитата: provakator от 01 ноября 2012, 08:50:04помогите произвести удаление старой версии и установку новой наиболее безопасно и безполезно.
интересно, автор задумывался над вопросом, как он будет управлять установленной из исходников версией хфсе или создаст новую тему на форуме "помогите удалить хфсе"... ?

Цитата: kobzar от 01 ноября 2012, 10:45:15tar -zxvf xfce....tar.gz
cd xfce.....
less REAMDE
kobzar, и часто вы такое практикуете?

Всегда - когда необходимо что либо установить левое. Как правило в файле ридми есть исчерпывающая информация.
Ты дорого мой друг, заплатишь за ошибку,..
Когда оскал мой милый, ты приймешь за улыбку.
  •  

John

Цитата: Malaheenee от 01 ноября 2012, 14:42:27
provakator, а ветку experimental подключить не судьба? Там 4.10 давно есть.
На то он и провокатор. :)
  •  

xbsd

Цитата: kobzar от 01 ноября 2012, 14:55:26Всегда - когда необходимо что либо установить левое.
грустно слышать. -_- ну да ладно, дело конечно ваше.
  •  

provakator

Цитата: kobzar от 01 ноября 2012, 10:45:15
apt-get purge xfce4*
apt-get autoremove
apt-get autoclean

tar -zxvf xfce....tar.gz
cd xfce.....
less REAMDE
спасибо воспользуюсь им.


Цитата: xbsd от 01 ноября 2012, 13:56:11
Цитата: provakator от 01 ноября 2012, 08:50:04помогите произвести удаление старой версии и установку новой наиболее безопасно и безполезно.
интересно, автор задумывался над вопросом, как он будет управлять установленной из исходников версией хфсе или создаст новую тему на форуме "помогите удалить хфсе"... ?

Цитата: kobzar от 01 ноября 2012, 10:45:15tar -zxvf xfce....tar.gz
cd xfce.....
less REAMDE
kobzar, и часто вы такое практикуете?

я знаю о проблеме удаления при установке из исходников. поэтому подумал перед тем как отважился на это. и удалять его не планирую.

Цитата: Malaheenee от 01 ноября 2012, 14:42:27
provakator, а ветку experimental подключить не судьба? Там 4.10 давно есть.

подключил но ничего кроме dbg пакетов нескольких приложений связанных c xfce не нашлось.(наверное из за ощибки при обновлении через apt-get update
мы среди вас. но я не с ними не с другими
  •  

Malaheenee

provakator, неправильно значит подключили. Запинить пакеты нужно в /etc/apt/preferences. Погуглите, а то под рукой сейчас только некошерная ОС...
Все мы где-то, когда-то и в чем-то были новичками.
  •  

kobzar

Цитата: xbsd от 01 ноября 2012, 23:54:22
Цитата: kobzar от 01 ноября 2012, 14:55:26Всегда - когда необходимо что либо установить левое.
грустно слышать. -_- ну да ладно, дело конечно ваше.
Вы не могли бы аргументировать свою точку зрения ?:
Я не совсем понимаю что именно вас смущает ? Чтение документации ? или что-то другое ?
Возможно вы прозрачно намекаете на чекинсталл ?
Ты дорого мой друг, заплатишь за ошибку,..
Когда оскал мой милый, ты приймешь за улыбку.
  •  

provakator

народ ткните меня куда надо чтоб установить пакет gtk+-2.0:
checking pkg-config is at least version 0.9.0... yes
checking for gtk+-2.0 >= 2.20.0... not found
*** The required package gtk+-2.0 was not found on your system.
*** Please install gtk+-2.0 (atleast version 2.20.0) or adjust
*** the PKG_CONFIG_PATH environment variable if you
*** installed the package in a nonstandard prefix so that
*** pkg-config is able to find it.
я ему гтк ставлю а он не находит? или кто может помогите правильно подключить ветку эксперементал (как там запинить пакеты в /etc/apt/preferences)(гугл с этим вопросом не помог
мы среди вас. но я не с ними не с другими
  •  

ZEN

provakator,
Цитата: provakator от 03 ноября 2012, 20:59:31checking for gtk+-2.0 >= 2.20.0... not found

sudo apt-get install libgtk2.0-dev
Crimea is Ukraine
  •  

vladimir_ar

Чтобы поставить из экспериментальной ветки, отключите все остальные репы. И перед установкой удалите то, что хотите установить (если уже не удалили). У меня, по крайней мере, по другому не получалось из экспериментал поставить.
Debian Testing, kernel 3.16-2-amd64, OpenBox
AMD A8-3750 / 16Gb RAM / ATI HD6550D (onboard) / Sound ASUS Xonar - DS
_______________________________
Debian Testing, kernel 3.14-2-amd64, OpenBox
HP-655 AMD E1 / 8Gb RAM / ATI HD7310M
  •  

provakator

ну все я его наконец поставил. работает не плохо, надо только плагинов будет по натыкать к которым я уже привык и настроить как следует. кстати а есть для него что то типо твикеров? и как мне заставить включаться xfce сам а не через консоль и через startxfce?
мы среди вас. но я не с ними не с другими
  •  

BULATUS

Цитата: provakator от 04 ноября 2012, 21:48:00как мне заставить включаться xfce сам а не через консоль и через startxfce?
aptitude install xdm